clang 10.0.0git

Typedefs | Enumerations | Functions
CXCompilationDatabase.h File Reference
`#include "clang-c/CXString.h"`
`#include "clang-c/ExternC.h"`
`#include "clang-c/Platform.h"`
Include dependency graph for CXCompilationDatabase.h:

Go to the source code of this file.

## Typedefs
typedef void * | CXCompilationDatabase
| A compilation database holds all information used to compile files in a project. More...
typedef void * | CXCompileCommands
| Contains the results of a search in the compilation database. More...
typedef void * | CXCompileCommand
| Represents the command line invocation to compile a specific file. More...

## Enumerations
enum | CXCompilationDatabase_Error { CXCompilationDatabase_NoError = 0, CXCompilationDatabase_CanNotLoadDatabase = 1 }
| Error codes for Compilation Database. More...

## Functions
CINDEX_LINKAGE CXCompilationDatabase | clang_CompilationDatabase_fromDirectory (const char *BuildDir, CXCompilationDatabase_Error *ErrorCode)
| Creates a compilation database from the database found in directory buildDir. More...
CINDEX_LINKAGE void | clang_CompilationDatabase_dispose (CXCompilationDatabase)
| Free the given compilation database. More...
CINDEX_LINKAGE CXCompileCommands | clang_CompilationDatabase_getCompileCommands (CXCompilationDatabase, const char *CompleteFileName)
| Find the compile commands used for a file. More...
CINDEX_LINKAGE CXCompileCommands | clang_CompilationDatabase_getAllCompileCommands (CXCompilationDatabase)
| Get all the compile commands in the given compilation database. More...
CINDEX_LINKAGE void | clang_CompileCommands_dispose (CXCompileCommands)
| Free the given CompileCommands. More...
CINDEX_LINKAGE unsigned | clang_CompileCommands_getSize (CXCompileCommands)
| Get the number of CompileCommand we have for a file. More...
CINDEX_LINKAGE CXCompileCommand | clang_CompileCommands_getCommand (CXCompileCommands, unsigned I)
| Get the I'th CompileCommand for a file. More...
CINDEX_LINKAGE CXString | clang_CompileCommand_getDirectory (CXCompileCommand)
| Get the working directory where the CompileCommand was executed from. More...
CINDEX_LINKAGE CXString | clang_CompileCommand_getFilename (CXCompileCommand)
| Get the filename associated with the CompileCommand. More...
CINDEX_LINKAGE unsigned | clang_CompileCommand_getNumArgs (CXCompileCommand)
| Get the number of arguments in the compiler invocation. More...
CINDEX_LINKAGE CXString | clang_CompileCommand_getArg (CXCompileCommand, unsigned I)
| Get the I'th argument value in the compiler invocations. More...
CINDEX_LINKAGE unsigned | clang_CompileCommand_getNumMappedSources (CXCompileCommand)
| Get the number of source mappings for the compiler invocation. More...
CINDEX_LINKAGE CXString | clang_CompileCommand_getMappedSourcePath (CXCompileCommand, unsigned I)
| Get the I'th mapped source path for the compiler invocation. More...
CINDEX_LINKAGE CXString | clang_CompileCommand_getMappedSourceContent (CXCompileCommand, unsigned I)
| Get the I'th mapped source content for the compiler invocation. More...